﻿;/////////////////////////////////////////////////////////////////////////////////
;***SmartErase***
;*===============
;*
;*Demo 1 - by Stephen Rodriguez.
;*
;*Dynamically sizing button and list-view gadgets. Try the demo with and without SmartErase enabled.
;/////////////////////////////////////////////////////////////////////////////////

XIncludeFile "SmartErase.pbi"

If OpenWindow(0, 100, 100, 600, 600, "SmartErase demo 1", #PB_Window_SystemMenu | #PB_Window_ScreenCentered | #PB_Window_SizeGadget)
    ButtonGadget(0, 10, 10, 0, 0, "Button 1")
    ListViewGadget(1, 10, 0, 0, 0)
    For a = 1 To 12
      AddGadgetItem (1, -1, "Item " + Str(a) + " of the Listview")
    Next

    SetWindowColor(0, #Blue)
  ;Uncomment the following to enable SmartErase.
;  SetSmartErase(WindowID(0), #Blue)

  Repeat
    Event = WaitWindowEvent()
    Select Event
      Case #WM_SIZE
        midPoint = WindowHeight(0)/2
        width = WindowWidth(0)-20
        ResizeGadget(0, #PB_Ignore, #PB_Ignore, width, midPoint-20)
        ResizeGadget(1, #PB_Ignore, midPoint+10, width, midPoint - 20)
    EndSelect
  Until Event = #PB_Event_CloseWindow
EndIf

; IDE Options = PureBasic 4.30 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 17
; Folding = -
; EnableXP
; Executable = nxReportU.dll