﻿;/////////////////////////////////////////////////////////////////////////////////
;***SmartErase***
;*===============
;*
;*Demo 3 - by Stephen Rodriguez.
;*
;*Dynamically sizing panel gadgets inside containers! 

;*Try the demo with And without SmartErase enabled.
;*On this occasion you will see that SmartErase certainly helps reduce flicker, but does not eliminate it.
;*Such is the way; SmartErase may or may not help in individual cases!
;/////////////////////////////////////////////////////////////////////////////////

XIncludeFile "SmartErase.pbi"

If OpenWindow(0, 100, 100, 600, 600, "SmartErase demo 3", #PB_Window_SystemMenu | #PB_Window_ScreenCentered | #PB_Window_SizeGadget)
  ContainerGadget(0, 10, 10, 0, 0, #PB_Container_Raised)
    PanelGadget(1, 20, 20, 0, 0)
      AddGadgetItem (1, -1, "Panel 1")
        ButtonGadget(2, 20, 20, 0, 0,"Button 1")
      AddGadgetItem (1, -1,"Panel 2")
        ButtonGadget(3, 10, 15, 80, 24,"Button 2")
        ButtonGadget(4, 95, 15, 80, 24,"Button 3")
    CloseGadgetList()
  CloseGadgetList()

  ;Uncomment the following to enable SmartErase.
;  SetSmartErase(WindowID(0))
;  SetSmartErase(GadgetID(0))

  Repeat
    Event = WaitWindowEvent()
    Select Event
      Case #WM_SIZE
        ResizeGadget(0, #PB_Ignore, #PB_Ignore, WindowWidth(0)-20, WindowHeight(0)-20)
        ResizeGadget(1, #PB_Ignore, #PB_Ignore, GadgetWidth(0)-40, GadgetHeight(0)-40)
        ResizeGadget(2, #PB_Ignore, #PB_Ignore, GadgetWidth(1)-40, GadgetHeight(1)-50)
    EndSelect
  Until Event = #PB_Event_CloseWindow
EndIf

; IDE Options = PureBasic 4.30 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 28
; FirstLine = 3
; Folding = -
; EnableXP
; Executable = nxReportU.dll