﻿;/////////////////////////////////////////////////////////////////////////////////
;***SmartErase***
;*===============
;*
;*Demo 2 - by Stephen Rodriguez.
;*
;*Dynamically sizing button gadget within a container gadget. Try the demo with and without SmartErase enabled.
;/////////////////////////////////////////////////////////////////////////////////

XIncludeFile "SmartErase.pbi"


If OpenWindow(0, 100, 100, 600, 600, "SmartErase demo 2", #PB_Window_SystemMenu | #PB_Window_ScreenCentered | #PB_Window_SizeGadget)
  ContainerGadget(0, 10, 10, 0, 0, #PB_Container_Raised)
    ButtonGadget(1, 20, 20, 80, 20, "Button 1")
  CloseGadgetList()

  SetGadgetColor(0, #PB_Gadget_BackColor, #Blue)

  ;Uncomment the following to enable SmartErase.
 ; SetSmartErase(WindowID(0))
 ; SetSmartErase(GadgetID(0), #Blue)

  Repeat
    Event = WaitWindowEvent()
    Select Event
      Case #WM_SIZE
        ResizeGadget(0, #PB_Ignore, #PB_Ignore, WindowWidth(0)-20, WindowHeight(0)-20)
        ResizeGadget(1, #PB_Ignore, #PB_Ignore, GadgetWidth(0)-40, GadgetHeight(0)-40)
    EndSelect
  Until Event = #PB_Event_CloseWindow
EndIf

; IDE Options = PureBasic 4.30 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 20
; Folding = -
; EnableXP
; Executable = nxReportU.dll