﻿;/////////////////////////////////////////////////////////////////////////////////
;***SmartErase***
;*===============
;*
;*Demo 6 - by Stephen Rodriguez.
;*
;*Dynamically sizing controls within scroll-area gadgets.
;*In this case smart erase can make for a smoother scrolling if you apply SmartErase to the scrollarea's inner container.
;*(More noticeable on Vista.)
;*
;*Try the demo with and without SmartErase enabled.
;/////////////////////////////////////////////////////////////////////////////////

Enumeration
  #scrollArea1
  #ListView1
EndEnumeration


XIncludeFile "SmartErase.pbi"

If OpenWindow(0, 100, 100, 600, 600, "SmartErase demo 6", #PB_Window_SystemMenu | #PB_Window_ScreenCentered | #PB_Window_SizeGadget | #PB_Window_MinimizeGadget)
  ScrollAreaGadget(#scrollArea1, 10, 10, 0,0, 1000, 1000, 30)
    ListViewGadget(#ListView1, 10, 10, 300, 300)
    For a = 1 To 100
      AddGadgetItem (#ListView1, -1, "Item " + Str(a) + " of the Listview")
    Next


  CloseGadgetList()

  SetGadgetColor(#ScrollArea1, #PB_Gadget_BackColor, #Blue)


  ;Uncomment the following lines to enable SmartErase.
;  SetSmartErase(WindowID(0))
  SetSmartErase(GadgetID(#ScrollArea1), #Blue)
  SetSmartErase(GetParent_(GadgetID(#ListView1)), #Blue)

  Repeat
    Event = WaitWindowEvent()
    Select Event
      Case #WM_SIZE
        ResizeGadget(#scrollArea1, #PB_Ignore, #PB_Ignore, WindowWidth(0)-20, WindowHeight(0)-20)
        ResizeGadget(#ListView1, #PB_Ignore, #PB_Ignore, GadgetWidth(#scrollArea1)-40, GadgetHeight(#scrollArea1)-20)
    EndSelect
  Until Event = #PB_Event_CloseWindow
EndIf

; IDE Options = PureBasic 4.30 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 20
; FirstLine = 12
; Folding = -
; EnableXP
; Executable = nxReportU.dll